### Signal

# WPEPlatform Settings::changed

#### Declaration

    void
    changed (
      WPESettings* self,
      gchar* key,
      GVariant* value,
      gpointer user_data
    )

#### Description [src]

Emitted when a settings is changed. It will contain a detail of the specific key that changed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`key`

  Type: `gchar*`

  The key that changed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GVariant`

  The new value.

  The data is owned by the caller of the function.